Name: drbd
Summary: Distributed Redundant Block Device driver for Linux
Version: 0.7.24
Release: 1%{dist}
Source: %{name}-%{version}.tar.gz
License: GPL
ExclusiveOS: linux
Group: System Environment/Kernel
Requires: kernel
Provides: %{name}
URL: http://www.drbd.org/ 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison groff flex gnupg binutils gzip

%description
Drbd is a distributed replicated block device. It mirrors a
block device over the network to another machine. Think of it
as networked raid 1. It is a building block for setting up
high availability (HA) clusters.

Authors:
--------
    Philipp Reisner <philipp.reisner@linbit.com> - Primary Author
    Lars Ellenberg  <l.g.e@web.de>

%prep
%setup

%build
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}

make clean
# note: MANDIR is not used anywhere in the makefiles
#       maybe this should be changed

make tools doc PREFIX=%{buildroot}/ MANDIR=%{_mandir}

%install
make install-tools PREFIX=%{buildroot}/ MANDIR=%{_mandir}

FILELIST="%{_builddir}/%{name}-%{version}/file.list"
cd %{buildroot}
#
# this is because /etc/init.d != /etc/rc.d != /etc/rc.d/init.d ...
# you may want to edit this, or the file list below ;)
#
find etc/ -name drbd -printf "/%p\n" > "$FILELIST"
# on suse/united we have additionally:
test -e sbin/rcdrbd && echo "/sbin/rcdrbd" >> "$FILELIST"

## If I only wanted to include the module, not all the directories
## I'd then say  %files -n kernel%{?ksmp}-module-drbd -f $FILELIST.mod below
#find lib/ -name "drbd.*" -printf "/%p\n" > "$FILELIST.mod"

#
# and I only want to install a hint to the example conf
#
cat <<___ > etc/drbd.conf
#
# please have a a look at the example configuration file in
# %{_docdir}/drbd.conf
#
___

%clean
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{_builddir}/%{name}-%{version}/file.list
%defattr(755,root,root)
/sbin/drbdsetup
/sbin/drbdadm
/etc/ha.d/resource.d/drbddisk

%defattr(644,root,root)
%config(noreplace) /etc/drbd.conf

%defattr(-,root,root)
%{_mandir}/man8/drbd.8.gz
%{_mandir}/man8/drbdsetup.8.gz
%{_mandir}/man8/drbdadm.8.gz
%{_mandir}/man8/drbddisk.8.gz
%{_mandir}/man5/drbd.conf.5.gz
%doc scripts/drbd.conf
%doc COPYING
%doc README
%doc file.list

%post
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add drbd
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service drbd stop >/dev/null 2>&1 || :
fi

lsmod | grep drbd > /dev/null 2>&1
if [ $? -eq 0 ]; then
	/sbin/rmmod drbd
fi

if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del drbd
fi

%changelog
* Sat Jul  7 2007 Johnny Hughes <johnny@centos.org>
- upgraded to upstream release drbd-0.7.24
- split out module building to the drbd-kmod package

* Wed Jan 31 2007 Johnny Hughes <johnny@centos.org>
- upgraded to upstream release drbd-0.7.23

* Sat Aug 26 2006 Johnny Hughes <johnny@centos.org>
- Upgraded to upstream release drbd-0.7.21

* Thu Apr 13 2006 Johnny Hughes <johnny@centos.org>
- Upgraded to upstream release drbd-0.7.17
- modified to build the new x86_64 largesmp kernel

* Tue Sep  6 2005 Johnny Hughes <johnny@centos.org>
- used the spec file from tinysofa.org
- modifed the spec for centos
- Upgraded to version drbd-0.7.13 and backed out all
  tinysofa patches
- redefined auxarches to be mod_arches and added 
  package_arches to define 2 sets of arches (one for
  kernel modules, one for the main package).  This was
  required because some arches (x86_64, s390, s390x,
  etc.) will need to be in both groups.
- added the ability to build kernel modules for the
  hugemem kernel

* Thu Jul 22 2004 Omar Kilani <omar at tinysofa dot org>
- Do not enable service by default.
- Rewrite spec file.
- Rewrite init script.

* Fri Jul 16 2004 10:13:33 +0200 Philipp Reisner <phil@linbit.com>
- drbd (0.7.0-1)
  FIXME write changelog :^)

